E-Arogya - Feature #272

Feature # 235 (New): [Security Audit Round 2 ]

[Security Audit Round 2 ] Improper Error Handling
01/05/2024 01:11 PM - Kalyan Battula

Status: Ready for Prod Start date: 01/05/2024
Priority: High Due date:

Assignee: Uday Kumar Dara % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

Improper Error Handling

observation : New

CWE : CWE-388

Description :

Application discloses various error messages including stacktraces, exceptions, server
versions etc., in error messages.

Affected Path(s) :

/(Webserver)

Impact :

An adversary can use this information to construct further attacks.
Evidence/Proof Of Concept :

Step 1: Improper Error Handling as shown in below screenshot.
clipboard-202405011311-nj1vh.png

Step 2: Improper Error Handling as shown in below screenshot.
clipboard-202405011311-urdtr.png

History

#1 - 01/05/2024 12:42 AM - Kalyan Battula

Kalyan Battula wrote:

Improper Error Handling

observation : New

CWE : CWE-388

Description :

Application discloses various error messages including stackiraces, exceptions, server
versions etc., in error messages.

Affected Path(s) :

/(Webserver)

Impact :

An adversary can use this information to construct further attacks.
Evidence/Proof Of Concept :

Step 1: Improper Error Handling as shown in below screenshot.
clipboard-202405011311-nj1vh.png

Step 2: Improper Error Handling as shown in below screenshot.

clipboard-202405011311-urdtr.png

Recommendation :
It is recommended to implement custom error pages and implement throughout the
application.

#2 - 02/05/2024 09:16 PM - Vasudev Mamidi

- Assignee set to Uday Kumar Dara

#3 - 03/05/2024 04:54 AM - Harish Beechani

- Status changed from New to In Progress
#4 - 03/05/2024 05:27 AM - Sivakanth Kesiraju

- Target version set to Security Audit

#5 - 10/05/2024 06:14 AM - Harish Beechani

- Status changed from In Progress to Resolved

#6 - 10/05/2024 07:19 AM - Harish Beechani
- Status changed from Resolved to Ready for Prod
